<?xml version="1.0"?>
<rng:grammar xmlns:rng="http://relaxng.org/ns/structure/1.0" datatypeLibrary="http://www.w3.org/2001/XMLSchema-datatypes">
<!--Schema generated 2006-01-30T20:23:54Z
Copyright 2005 TEI Consortium.
This is free software; you can redistribute it and/or
	    modify it under the terms of the GNU General Public
	    License as published by the Free Software Foundation;
	    either version 2 of the License, or (at your option) any
	    later version.
This material is distributed in the hope that it will be
	    useful, but WITHOUT ANY WARRANTY; without even the implied
	    warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
	    PURPOSE. See the GNU General Public License for more
	    details.
You should have received a copy of the GNU General Public
	    License along with this file; if not, write to the Free
	    Software Foundation, Inc., 59 Temple Place, Suite 330,
	    Boston, MA 02111-1307, USA.
To contact the TEI Consortium use the following addresses.
	    For general (non-technical) enquiries: 
		  target="mailto:info@tei-c.org"/>info@tei-c.orgFor membership enquiries: membership@tei-c.orgFor technical enquiries, particularly about the
		Guidelines, DTDs, schemas, or software available from
		the TEI-C: editors@tei-c.orgFor up to date information, consult the TEI web site at http://www.tei-c.org/P5-->
<!--Definitions from module verse-->
<!--Set predeclared macros-->
<!--0. predeclared macros-->
<!--1. classes-->
  <define xmlns="http://relaxng.org/ns/structure/1.0" name="model.divPart.verse">
    <notAllowed/>
  </define>
  <define xmlns="http://relaxng.org/ns/structure/1.0" name="att.metrical.attributes">
    <ref name="att.metrical.attribute.met"/>
    <ref name="att.metrical.attribute.real"/>
    <ref name="att.metrical.attribute.rhyme"/>
  </define>
  <define xmlns="http://relaxng.org/ns/structure/1.0" name="att.metrical.attribute.met">
    <optional>
      <attribute name="met">
        <a:documentation xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0">contains a user-specified encoding for the conventional
metrical structure of the element.</a:documentation>
        <data type="string"/>
      </attribute>
    </optional>
  </define>
  <define xmlns="http://relaxng.org/ns/structure/1.0" name="att.metrical.attribute.real">
    <optional>
      <attribute name="real">
        <a:documentation xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0">contains a user-specified encoding for the actual realization
of the conventional metrical structure applicable to the element.</a:documentation>
        <data type="string"/>
      </attribute>
    </optional>
  </define>
  <define xmlns="http://relaxng.org/ns/structure/1.0" name="att.metrical.attribute.rhyme">
    <optional>
      <attribute name="rhyme">
        <a:documentation xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0">specifies the rhyme scheme applicable to a group of verse lines.</a:documentation>
        <data type="string"/>
      </attribute>
    </optional>
  </define>
  <define xmlns="http://relaxng.org/ns/structure/1.0" name="att.enjamb.attributes">
    <ref name="att.enjamb.attribute.enjamb"/>
  </define>
  <define xmlns="http://relaxng.org/ns/structure/1.0" name="att.enjamb.attribute.enjamb">
    <optional>
      <attribute name="enjamb">
        <a:documentation xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0">indicates that the end of a verse line is marked by enjambement.</a:documentation>
        <ref name="data.enumerated"/>
      </attribute>
    </optional>
  </define>
<!--2. elements-->
  <define xmlns="http://relaxng.org/ns/structure/1.0" name="caesura">
    <element name="caesura">
      <a:documentation xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0">marks the point at which a metrical line may be divided.</a:documentation>
      <ref name="caesura.content"/>
      <ref name="caesura.attributes"/>
    </element>
  </define>
  <define xmlns="http://relaxng.org/ns/structure/1.0" name="caesura.content">
    <empty xmlns:rng="http://relaxng.org/ns/structure/1.0"/>
  </define>
  <define xmlns="http://relaxng.org/ns/structure/1.0" name="caesura.attributes">
    <ref name="att.global.attributes"/>
    <empty/>
  </define>
  <define xmlns="http://relaxng.org/ns/structure/1.0" name="model.lPart" combine="choice">
    <ref name="caesura"/>
  </define>
  <define xmlns="http://relaxng.org/ns/structure/1.0" name="rhyme">
    <element name="rhyme">
      <a:documentation xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0">marks the rhyming part of  a metrical line.</a:documentation>
      <ref name="rhyme.content"/>
      <ref name="rhyme.attributes"/>
    </element>
  </define>
  <define xmlns="http://relaxng.org/ns/structure/1.0" name="rhyme.content">
    <ref xmlns:rng="http://relaxng.org/ns/structure/1.0" name="macro.paraContent"/>
  </define>
  <define xmlns="http://relaxng.org/ns/structure/1.0" name="rhyme.attributes">
    <ref name="att.global.attributes"/>
    <ref name="att.typed.attributes"/>
    <optional>
      <attribute name="label">
        <a:documentation xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0">provides a label to identify which part of a rhyme
	scheme this rhyming string instantiates.</a:documentation>
        <data type="string"/>
      </attribute>
    </optional>
    <empty/>
  </define>
  <define xmlns="http://relaxng.org/ns/structure/1.0" name="model.lPart" combine="choice">
    <ref name="rhyme"/>
  </define>
<!--3. macros-->
</rng:grammar>
